declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
	execute immediate 'CREATE TABLE "VENDA_EMBARCADA" 
   ("VENDAEMBARCADA_ID" NUMBER(15,0), 
	"NUMEROBILHETE" NUMBER(15,0), 
	"NUMSERIE20" VARCHAR2(20 BYTE), 
	"DISPOSITIVO_ID" VARCHAR2(15 BYTE), 
	"ORIGEM_ID" NUMBER(7,0), 
	"DESTINO_ID" NUMBER(7,0), 
	"CORRIDA_ID" NUMBER(7,0), 
	"VEICULO_ID" NUMBER(7,0), 
	"PDA_ID" NUMBER(7,0), 
	"LINHA_ID" NUMBER(7,0), 
	"OPERADOR_ID" NUMBER(7,0), 
	"SESSAO_ID" NUMBER(4,0), 
	"VENDA_ID" VARCHAR2(12 BYTE), 
	"DATAABERTURAVIAGEM" DATE, 
	"DATAABERTURAVENDA" DATE, 
	"DATAABERTURACAIXA" DATE, 
	"HORAABERTURAVENDA" VARCHAR2(8 BYTE), 
	"HORAABERTURACAIXA" VARCHAR2(8 BYTE), 
	"DATAVIAGEM" DATE, 
	"DATAFECHAMENTO" DATE, 
	"HORAFECHAMENTO" VARCHAR2(8 BYTE), 
	"TIPOVENDA" VARCHAR2(2 BYTE), 
	"VALORTOTALBILHETE" NUMBER(7,2), 
	"VALORTAXAEMBARQUE" NUMBER(7,2), 
	"VALORSEGURO" NUMBER(7,2), 
	"VALORPEDAGIO" NUMBER(7,2), 
	"VALOROUTROS" NUMBER(7,2), 
	"DOCUMENTORG" VARCHAR2(45 BYTE), 
	"DOCUMENTOCPF" VARCHAR2(45 BYTE), 
	"NOMEPASSAGEIRO" VARCHAR2(180 BYTE), 
	"CLASSE" VARCHAR2(25 BYTE), 
	"EMPRESA" VARCHAR2(50 BYTE), 
	"DESCRICAODESTINO" VARCHAR2(180 BYTE), 
	"DESCRICAOORIGEM" VARCHAR2(180 BYTE), 
	"DESCRICAOLINHA" VARCHAR2(60 BYTE), 
	"OPERADORCVE" VARCHAR2(45 BYTE), 
	"CANCELADO" NUMBER(1,0), 
	"ACTIVO" NUMBER(1,0), 
	"FECMODIF" DATE, 
	"USUARIO_ID" NUMBER(7,0), 
	"IMPRESSO" NUMBER(1,0), 
	"NUMDIV" VARCHAR2(11 BYTE)
   )';

   exception when object_exists then null;
end;
