declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
	execute immediate 'CREATE TABLE OCD_DATOS_PAGAMENTO (
       OCDDATOSPAGAMENTO_ID NUMBER(7) NOT NULL,
       OCD_ID               NUMBER(15) NULL,
	   NOTACREDITOVENDAPACOTE_ID NUMBER(7) NULL,
       TITULARCUENTA        VARCHAR2(50) NULL,
       IDENTIFICACION       VARCHAR2(20) NULL,
       BANCO                VARCHAR2(20) NULL,
       CUENTABANCO          VARCHAR2(20) NULL,
       AGENCIA              VARCHAR2(10) NULL,
       EMAIL                VARCHAR2(50) NULL,
       TELEFONO             VARCHAR2(14) NULL,
       ACTIVO               NUMBER(1) NULL,
       FECMODIF             DATE NULL,
       USUARIO_ID           NUMBER(7) NULL,
       PRIMARY KEY (OCDDATOSPAGAMENTO_ID), 
       FOREIGN KEY (OCD_ID) REFERENCES OCD,
	   FOREIGN KEY (NOTACREDITOVENDAPACOTE_ID) REFERENCES NOTA_CREDITO_VENDA_PACOTE
	)';
    exception when object_exists then null;
end;