declare 
  object_exists exception;
  except_01451  exception;
  except_01442  exception;

  pragma exception_init (object_exists , -01430);
  pragma exception_init (except_01451  , -01451);
  pragma exception_init (except_01442  , -01442);
begin 
  execute immediate 'ALTER TABLE EMPRESA ADD INDRATEIOCOMISSAOGRUPOLINHA NUMBER(1, 0)';
  exception 
    when object_exists  then null;
    when except_01451  then null;
    when except_01442  then null;
end;
/
declare 
  object_exists exception;
  except_01451  exception;
  except_01442  exception;

  pragma exception_init (object_exists , -01430);
  pragma exception_init (except_01451  , -01451);
  pragma exception_init (except_01442  , -01442);
begin 
  execute immediate 'ALTER TABLE EMPRESA ADD INDCOMISSAOGRUPOLINHAORIGINAL NUMBER(1, 0)';
  exception 
    when object_exists  then null;
    when except_01451  then null;
    when except_01442  then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
	execute immediate 'CREATE TABLE CONTA_CORRENTE_PTOVTA_GR_LIN (
		  CONTACORRENTEPTOVTAGRLIN_ID NUMBER(7,0) NOT NULL,
		  CONTACORRENTEPTOVTA_ID NUMBER(7,0) NOT NULL,
		  GRUPORUTA_ID NUMBER(7,0),
		  IMPORTE NUMBER(12,2) NOT NULL,
		  ACTIVO NUMBER(1,0),
		  FECMODIF DATE,
		  USUARIO_ID NUMBER(7,0),
		  CONSTRAINT PK_CONTA_CORR_PTOVTA_GR_LIN PRIMARY KEY(CONTACORRENTEPTOVTAGRLIN_ID),
		  CONSTRAINT FK_CONTA_CORR_PTOVTA_GR_LIN_1 FOREIGN KEY (CONTACORRENTEPTOVTA_ID) REFERENCES CONTA_CORRENTE_PTOVTA (CONTACORRENTEPTOVTA_ID),
		  CONSTRAINT FK_CONTA_CORR_PTOVTA_GR_LIN_2 FOREIGN KEY (GRUPORUTA_ID) REFERENCES GRUPO_RUTA (GRUPORUTA_ID))';
    exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
	execute immediate 'CREATE SEQUENCE CONTA_CORR_PTOVTA_GR_LIN_SEQ INCREMENT BY 1 START WITH 1 NOCACHE ORDER NOCYCLE';
    exception when object_exists then null;
end;