declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE TABLE PTOVTA_EXCECAO_MULTA_CANC (
       PTOVTAEXCECAOMULTACANC_ID  NUMBER(7) NOT NULL,
       PUNTOVENTA_ID        NUMBER(7) NOT NULL,
       EMPRESA_ID           NUMBER(7) NOT NULL,
	   ORGAOCONCEDENTE_ID   NUMBER(7) NOT NULL,
       FECMODIF             DATE NULL,
       ACTIVO               NUMBER(1) NULL,
       USUARIO_ID           NUMBER(7) NULL,
       PRIMARY KEY (PTOVTAEXCECAOMULTACANC_ID), 
       FOREIGN KEY (EMPRESA_ID) REFERENCES EMPRESA, 
       FOREIGN KEY (PUNTOVENTA_ID) REFERENCES PUNTO_VENTA,
	   FOREIGN KEY (ORGAOCONCEDENTE_ID) REFERENCES ORGAO_CONCEDENTE
	)';
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE PTOVTA_EXCECAO_MULTA_CANC_SEQ INCREMENT BY 1 START WITH 1 MAXVALUE 9999999 MINVALUE 1 NOCYCLE CACHE 20 NOORDER';	
  exception when object_exists then null;
end;