declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE TABLE TIPO_EVENTO_EXTRA_FORMAPAGO(
  		TIPOEVENTOEXTRAFORMAPAGO_ID NUMBER(7) NOT NULL,
		TIPOEVENTOEXTRA_ID NUMBER(7) NOT NULL, 
		FORMAPAGO_ID NUMBER(7) NOT NULL,
		ACTIVO NUMBER(1),
        FECMODIF DATE,
        USUARIO_ID NUMBER(7),
		PRIMARY KEY (TIPOEVENTOEXTRAFORMAPAGO_ID),
		CONSTRAINT TIPO_EVENTO_EXTRA_FMPTEE_FK FOREIGN KEY (TIPOEVENTOEXTRA_ID) REFERENCES TIPO_EVENTO_EXTRA (TIPOEVENTOEXTRA_ID),
		CONSTRAINT TIPO_EVENTO_EXTRA_FORMAPAGO_FK FOREIGN KEY (FORMAPAGO_ID) REFERENCES FORMA_PAGO (FORMAPAGO_ID)
	)';
	
  exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 
	'CREATE SEQUENCE TIPOEVENTOEXTRAFORMAPAGO_SEQ INCREMENT BY 1 START WITH 1 NOCACHE ORDER NOCYCLE';	
	
  exception when object_exists then null;
end;
