declare
begin
	execute immediate 
	'INSERT INTO PERFIL_FUNCION (PERFILFUNCION_ID, PERFIL_ID, FUNCIONSISTEMA_ID, ACTIVO, FECMODIF, USUARIO_ID, INDLECTURA)
		SELECT 
   			PERFIL_FUNCION_SEQ.NEXTVAL as PERFILFUNCION_ID,
    		p.PERFIL_ID, 
    		(SELECT FUNCIONSISTEMA_ID FROM FUNCION_SISTEMA fs WHERE fs.DESCRUTA = ''COM.RJCONSULTORES.VENTABOLETOS.GUI.VENTA.MENU.ITEN.MAPAVIAGEM'') AS FUNCIONSISTEMA_ID, 
    		1 as ACTIVO,
    		SYSDATE AS FECMODIF,
    		-2 AS USUARIO_ID,
    		0 AS INDLECTURA
		FROM PERFIL p 
		WHERE p.ACTIVO = 1 
		AND NOT EXISTS(SELECT * FROM PERFIL_FUNCION WHERE FUNCIONSISTEMA_ID = (SELECT FUNCIONSISTEMA_ID FROM FUNCION_SISTEMA fs WHERE fs.DESCRUTA = ''COM.RJCONSULTORES.VENTABOLETOS.GUI.VENTA.MENU.ITEN.MAPAVIAGEM''))';
	exception when others  then null;
end;