DO $$
BEGIN
  DROP INDEX TARIFA_UNICA;
  
  CREATE UNIQUE INDEX UNQ_TARIFA ON TARIFA 
  (COALESCE(TRAMO_ID,-1), COALESCE(MARCA_ID,-1), COALESCE(CLASESERVICIO_ID,-1), COALESCE(MONEDA_ID,-1), COALESCE(VIGENCIATARIFA_ID,-1), COALESCE(ORGAOCONCEDENTE_ID,-1), COALESCE(RUTA_ID)) 
  WHERE ACTIVO = 1;
  
  EXCEPTION 
    WHEN undefined_object THEN NULL;
    WHEN duplicate_object THEN NULL;
    WHEN duplicate_table THEN NULL;
END
$$;
