DO $$
BEGIN
  CREATE TABLE PTOVTA_ANTIFRAUDE (
       PTOVTAANTIFRAUDE_ID  NUMBER(7) NOT NULL,
       PUNTOVENTA_ID        NUMBER(7) NULL,
       EMPRESA_ID           NUMBER(7) NULL,
       TIPO                 VARCHAR2(50) NULL,
       CHAVE                VARCHAR2(50) NULL,
       FECMODIF             DATE NULL,
       ACTIVO               NUMBER(1) NULL,
       USUARIO_ID           NUMBER(7) NULL,
       PRIMARY KEY (PTOVTAANTIFRAUDE_ID), 
       FOREIGN KEY (EMPRESA_ID) REFERENCES EMPRESA, 
       FOREIGN KEY (PUNTOVENTA_ID) REFERENCES PUNTO_VENTA
	);

  CREATE SEQUENCE PTOVTA_ANTIFRAUDE_SEQ INCREMENT BY 1 START WITH 1 MAXVALUE 9999999 MINVALUE 1 NOCYCLE CACHE 20 NOORDER;
  
  EXCEPTION 
    WHEN duplicate_table THEN NULL;
    WHEN duplicate_object THEN NULL;
    WHEN duplicate_column THEN NULL;
END
$$;