declare
    table_exists exception;
    pragma exception_init (table_exists , -00955);
begin
  execute immediate
    'CREATE TABLE COMPROVANTE_PASSAGEM (
    COMPROVANTEPASSAGEM_ID NUMBER(7,0) NOT NULL ENABLE, 
    EMPRESA_ID NUMBER(7,0), 
    NUMOPERACION VARCHAR2(36 BYTE), 
    DOCUMENTO BLOB,
    ACTIVO NUMBER(1,0), 
    FECMODIF DATE, 
    USUARIO_ID NUMBER(7,0), 
     PRIMARY KEY (COMPROVANTEPASSAGEM_ID),
     FOREIGN KEY (EMPRESA_ID)
     REFERENCES EMPRESA (EMPRESA_ID) ENABLE
    ) ';
    
  exception when table_exists then null;
end;
/

declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
      'CREATE SEQUENCE COMPROVANTE_PASSAGEM_SEQ';    
  exception when object_exists then null;
end;
/