declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate
	'CREATE TABLE REVENUE_CONFIG 
		("REVENUECONFIG_ID" NUMBER(9,0) NOT NULL, 
		"INDUSACANALVENTA" NUMBER(1,0), 
		"ACTIVO" NUMBER(1,0), 
		"FECMODIF" DATE, 
		"USUARIO_ID" NUMBER(7,0),
		"TOKEN" VARCHAR2(50 BYTE), 
		"CONNECTOR_ID" VARCHAR2(50 BYTE), 
		"URL_PRICE" VARCHAR2(200 BYTE), 
		"URL_PRICE_CANALVENDA" VARCHAR2(200 BYTE), 
		"URL_MARKET" VARCHAR2(200 BYTE), 
		"URL_SITE" VARCHAR2(200 BYTE), 
		"URL_ALERTA" VARCHAR2(200 BYTE),
		"URL_GEOLOC" VARCHAR2(200 BYTE), 
		CONSTRAINT "PK__REVENUE_CONFIG" PRIMARY KEY ("REVENUECONFIG_ID")
	)';
 exception when object_exists then null;
end;
/
declare
    object_exists exception;
    pragma exception_init (object_exists , -00955);
begin
  execute immediate 'CREATE SEQUENCE REVENUE_CONFIG_SEQ INCREMENT BY 1 START WITH 1 MAXVALUE 999999999 MINVALUE 1 NOCYCLE CACHE 20 NOORDER';	
  exception when object_exists then null;
end;