DO $$
BEGIN
 	CREATE SEQUENCE PRICING_CONEXAO_SEQ START WITH 1 INCREMENT BY 1;
END
$$;
/
DO $$
BEGIN
 	CREATE TABLE PRICING_CONEXAO (
			PRICINGCONEXAO_ID NUMBER(7,0) NOT NULL ENABLE, 
			PRICING_ID NUMBER(7,0) NOT NULL ENABLE, 
			CONEXIONCTRL_ID NUMBER(15,0) NOT NULL ENABLE, 
			ACTIVO NUMBER(1,0) NOT NULL ENABLE, 
			FECMODIF DATE NOT NULL ENABLE, 
			USUARIO_ID NUMBER(7,0) NOT NULL ENABLE, 
			CONSTRAINT PK_GP_PRICING_CONEXAO PRIMARY KEY (PRICINGCONEXAO_ID),
			CONSTRAINT FK_GP_PRICING_CONEXAO FOREIGN KEY(PRICING_ID) REFERENCES PRICING (PRICING_ID),
			CONSTRAINT FK_GP_PRICING_CONEXAO_CTRL FOREIGN KEY(CONEXIONCTRL_ID) REFERENCES CONEXION_CTRL (CONEXIONCTRL_ID)
		);
END
$$;
